Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.ui.util.io
Class CapturedServletOutputStream

    java.lang.Object
      ServletOutputStream
          echopointng.ui.util.io.CapturedServletOutputStream

    public class CapturedServletOutputStream

extends ServletOutputStream

An ServletOutputStream that will capture the content as it otherwise passes into the ether.

Constructor Summary
`CapturedServletOutputStream(java.io.ByteArrayOutputStream out)`

Method Summary
`void` | `close()`
`void` | `flush()`
`void` | `print(boolean arg0)`
`void` | `print(char arg0)`
`void` | `print(double arg0)`
`void` | `print(float arg0)`
`void` | `print(int arg0)`
`void` | `print(long arg0)`
`void` | `print(java.lang.String arg0)`
`void` | `println()`
`void` | `println(boolean arg0)`
`void` | `println(char arg0)`
`void` | `println(double arg0)`
`void` | `println(float arg0)`
`void` | `println(int arg0)`
`void` | `println(long arg0)`
`void` | `println(java.lang.String arg0)`
`void` | `write(byte[] b)`
`void` | `write(byte[] b, int off, int len)`
`void` | `write(int b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CapturedServletOutputStream

    public CapturedServletOutputStream(java.io.ByteArrayOutputStream out)

Method Detail

### close

    public void close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`
  See Also:
    `OutputStream.close()`

### flush

    public void flush()
               throws java.io.IOException

  Throws:
    `java.io.IOException`
  See Also:
    `OutputStream.flush()`

### print

    public void print(boolean arg0)
               throws java.io.IOException

  Throws:
    `java.io.IOException`
  See Also:
    `javax.servlet.ServletOutputStream#print(boolean)`

### print

    public void print(char arg0)
               throws java.io.IOException

  Throws:
    `java.io.IOException`
  See Also:
    `javax.servlet.ServletOutputStream#print(char)`

### print

    public void print(double arg0)
               throws java.io.IOException

  Throws:
    `java.io.IOException`
  See Also:
    `javax.servlet.ServletOutputStream#print(double)`

### print

    public void print(float arg0)
               throws java.io.IOException

  Throws:
    `java.io.IOException`
  See Also:
    `javax.servlet.ServletOutputStream#print(float)`

### print

    public void print(int arg0)
               throws java.io.IOException

  Throws:
    `java.io.IOException`
  See Also:
    `javax.servlet.ServletOutputStream#print(int)`

### print

    public void print(long arg0)
               throws java.io.IOException

  Throws:
    `java.io.IOException`
  See Also:
    `javax.servlet.ServletOutputStream#print(long)`

### println

    public void println()
                 throws java.io.IOException

  Throws:
    `java.io.IOException`
  See Also:
    `javax.servlet.ServletOutputStream#println()`

### println

    public void println(boolean arg0)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`
  See Also:
    `javax.servlet.ServletOutputStream#println(boolean)`

### println

    public void println(char arg0)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`
  See Also:
    `javax.servlet.ServletOutputStream#println(char)`

### println

    public void println(double arg0)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`
  See Also:
    `javax.servlet.ServletOutputStream#println(double)`

### println

    public void println(float arg0)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`
  See Also:
    `javax.servlet.ServletOutputStream#println(float)`

### println

    public void println(int arg0)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`
  See Also:
    `javax.servlet.ServletOutputStream#println(int)`

### println

    public void println(long arg0)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`
  See Also:
    `javax.servlet.ServletOutputStream#println(long)`

### print

    public void print(java.lang.String arg0)
               throws java.io.IOException

  Throws:
    `java.io.IOException`
  See Also:
    `javax.servlet.ServletOutputStream#print(java.lang.String)`

### println

    public void println(java.lang.String arg0)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`
  See Also:
    `javax.servlet.ServletOutputStream#println(java.lang.String)`

### write

    public void write(int b)
               throws java.io.IOException

  Throws:
    `java.io.IOException`
  See Also:
    `OutputStream.write(int)`

### write

    public void write(byte[] b)
               throws java.io.IOException

  Throws:
    `java.io.IOException`
  See Also:
    `OutputStream.write(byte[])`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Throws:
    `java.io.IOException`
  See Also:
    `OutputStream.write(byte[], int, int)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD